Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractTextCodecFactoryInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractTextCodecFactory, QTextCodecPlugin

    public interface QAbstractTextCodecFactoryInterface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractTextCodecFactory(long ptr)` This method is internal to Qt Jambi.
`QTextCodec` | `create(java.lang.String key)` This method is internal to Qt Jambi.
`java.util.List<java.lang.String>` | `keys()` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QTextCodec create(java.lang.String key)

  This method is internal to Qt Jambi.

### keys

    java.util.List<java.lang.String> keys()

  This method is internal to Qt Jambi.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractTextCodecFactory

    long __qt_cast_to_QAbstractTextCodecFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

ate(java.lang.String)">

### create

    QTextCodec create(java.lang.String key)

  This method is internal to Qt Jambi.

### keys

    java.util.List<java.lang.String> keys()

  This method is internal to Qt Jambi.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractTextCodecFactory

    long __qt_cast_to_QAbstractTextCodecFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR |